Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.datasource
Class StatementWrapper

    java.lang.Object
      |
      +--com.solarmetric.datasource.StatementWrapper

All Implemented Interfaces:
  Statement

Direct Known Subclasses:
  PreparedStatementWrapper

public class StatementWrapper
extends Object
implements Statement

Wrapper around an existing `Statement`. Subclasses can override those methods whose behavior they want to change.

This class also enforces that the owned `ResultSet` has been closed before executing a new Query. This is not in violation of the JDBC specification, merely a more strict enforement of a best practice.

Inner Class Summary
`static class` | `StatementWrapper.Statistics`

Constructor Summary
`StatementWrapper(DataSourceImpl ds, ConnectionWrapper connectionWrapper, Statement stmnt)`

Method Summary
`void` | `addBatch(String str)`
`void` | `cancel()`
`com.solarmetric.datasource.ResultSetWrapper` | `checkExecuteQueryBugs(SQLException e)`
`void` | `checkResultSetClosed()`
`void` | `clearBatch()`
`void` | `clearWarnings()`
`void` | `close()`
`boolean` | `equals(Object other)`
`boolean` | `execute(String str)`
`boolean` | `execute(String s, int i)`
`boolean` | `execute(String s, int[] ia)`
`boolean` | `execute(String s, String[] sa)`
`int[]` | `executeBatch()`
`ResultSet` | `executeQuery(String str)`
`int` | `executeUpdate(String str)`
`int` | `executeUpdate(String s, int i)`
`int` | `executeUpdate(String s, int[] ia)`
`int` | `executeUpdate(String s, String[] sa)`
`Statement` | `getBaseStatement()` Return the base underlying data store statement.
`Connection` | `getConnection()`
`int` | `getFetchDirection()`
`int` | `getFetchSize()`
`ResultSet` | `getGeneratedKeys()`
`int` | `getMaxFieldSize()`
`int` | `getMaxRows()`
`boolean` | `getMoreResults()`
`boolean` | `getMoreResults(int i)`
`int` | `getQueryTimeout()`
`ResultSet` | `getResultSet()`
`int` | `getResultSetConcurrency()`
`int` | `getResultSetHoldability()`
`int` | `getResultSetType()`
`Statement` | `getStatement()` Return the wrapped statement.
`int` | `getUpdateCount()`
`SQLWarning` | `getWarnings()`
`int` | `hashCode()`
`boolean` | `isClosed()`
`void` | `setCursorName(String str)`
`void` | `setEscapeProcessing(boolean bool)`
`void` | `setFetchDirection(int i)`
`void` | `setFetchSize(int i)`
`void` | `setMaxFieldSize(int i)`
`void` | `setMaxRows(int i)`
`void` | `setQueryTimeout(int i)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatementWrapper

    public StatementWrapper(DataSourceImpl ds,
                            ConnectionWrapper connectionWrapper,
                            Statement stmnt)
                     throws SQLException

Method Detail

### isClosed

    public boolean isClosed()

### getStatement

    public Statement getStatement()

  Return the wrapped statement.

### checkResultSetClosed

    public void checkResultSetClosed()
                              throws SQLException

### getBaseStatement

    public Statement getBaseStatement()

  Return the base underlying data store statement.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### executeQuery

    public ResultSet executeQuery(String str)
                           throws SQLException

  Specified by:
    `executeQuery` in interface `Statement`

### executeUpdate

    public int executeUpdate(String str)
                      throws SQLException

  Specified by:
    `executeUpdate` in interface `Statement`

### execute

    public boolean execute(String str)
                    throws SQLException

  Specified by:
    `execute` in interface `Statement`

### close

    public void close()
               throws SQLException

  Specified by:
    `close` in interface `Statement`

### getMaxFieldSize

    public int getMaxFieldSize()
                        throws SQLException

  Specified by:
    `getMaxFieldSize` in interface `Statement`

### setMaxFieldSize

    public void setMaxFieldSize(int i)
                         throws SQLException

  Specified by:
    `setMaxFieldSize` in interface `Statement`

### getMaxRows

    public int getMaxRows()
                   throws SQLException

  Specified by:
    `getMaxRows` in interface `Statement`

### setMaxRows

    public void setMaxRows(int i)
                    throws SQLException

  Specified by:
    `setMaxRows` in interface `Statement`

### setEscapeProcessing

    public void setEscapeProcessing(boolean bool)
                             throws SQLException

  Specified by:
    `setEscapeProcessing` in interface `Statement`

### getQueryTimeout

    public int getQueryTimeout()
                        throws SQLException

  Specified by:
    `getQueryTimeout` in interface `Statement`

### setQueryTimeout

    public void setQueryTimeout(int i)
                         throws SQLException

  Specified by:
    `setQueryTimeout` in interface `Statement`

### cancel

    public void cancel()
                throws SQLException

  Specified by:
    `cancel` in interface `Statement`

### getWarnings

    public SQLWarning getWarnings()
                           throws SQLException

  Specified by:
    `getWarnings` in interface `Statement`

### clearWarnings

    public void clearWarnings()
                       throws SQLException

  Specified by:
    `clearWarnings` in interface `Statement`

### setCursorName

    public void setCursorName(String str)
                       throws SQLException

  Specified by:
    `setCursorName` in interface `Statement`

### getResultSet

    public ResultSet getResultSet()
                           throws SQLException

  Specified by:
    `getResultSet` in interface `Statement`

### getUpdateCount

    public int getUpdateCount()
                       throws SQLException

  Specified by:
    `getUpdateCount` in interface `Statement`

### getMoreResults

    public boolean getMoreResults()
                           throws SQLException

  Specified by:
    `getMoreResults` in interface `Statement`

### setFetchDirection

    public void setFetchDirection(int i)
                           throws SQLException

  Specified by:
    `setFetchDirection` in interface `Statement`

### getFetchDirection

    public int getFetchDirection()
                          throws SQLException

  Specified by:
    `getFetchDirection` in interface `Statement`

### setFetchSize

    public void setFetchSize(int i)
                      throws SQLException

  Specified by:
    `setFetchSize` in interface `Statement`

### getFetchSize

    public int getFetchSize()
                     throws SQLException

  Specified by:
    `getFetchSize` in interface `Statement`

### getResultSetConcurrency

    public int getResultSetConcurrency()
                                throws SQLException

  Specified by:
    `getResultSetConcurrency` in interface `Statement`

### getResultSetType

    public int getResultSetType()
                         throws SQLException

  Specified by:
    `getResultSetType` in interface `Statement`

### addBatch

    public void addBatch(String str)
                  throws SQLException

  Specified by:
    `addBatch` in interface `Statement`

### clearBatch

    public void clearBatch()
                    throws SQLException

  Specified by:
    `clearBatch` in interface `Statement`

### executeBatch

    public int[] executeBatch()
                       throws SQLException

  Specified by:
    `executeBatch` in interface `Statement`

### getConnection

    public Connection getConnection()
                             throws SQLException

  Specified by:
    `getConnection` in interface `Statement`

### getMoreResults

    public boolean getMoreResults(int i)
                           throws SQLException

### getGeneratedKeys

    public ResultSet getGeneratedKeys()
                               throws SQLException

### executeUpdate

    public int executeUpdate(String s,
                             int i)
                      throws SQLException

### executeUpdate

    public int executeUpdate(String s,
                             int[] ia)
                      throws SQLException

### executeUpdate

    public int executeUpdate(String s,
                             String[] sa)
                      throws SQLException

### execute

    public boolean execute(String s,
                           int i)
                    throws SQLException

### execute

    public boolean execute(String s,
                           int[] ia)
                    throws SQLException

### execute

    public boolean execute(String s,
                           String[] sa)
                    throws SQLException

### getResultSetHoldability

    public int getResultSetHoldability()
                                throws SQLException

### checkExecuteQueryBugs

    public com.solarmetric.datasource.ResultSetWrapper checkExecuteQueryBugs(SQLException e)
                                                                      throws SQLException

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.